Name:          python-suds2
Version:       0.7
Release:       4 
Summary:       A python SOAP client
License:       LGPLv3+
URL:           https://bitbucket.org/jurko/suds
Source0:       https://bitbucket.org/jurko/suds/get/94664ddd46a6.tar.bz2
Patch0:        fix_http_test.patch
Patch1:        fix_test_transport.patch
BuildArch:     noarch
Provides:      python-suds = %{version}-%{release}
Obsoletes:     python-suds < %{version}-%{release}

%description
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%package -n python3-suds2
%{?python_provide:%python_provide python3-suds2}
Summary:       A python SOAP client
BuildRequires: python3-devel python3-pytest python3-six
Provides:      python3-suds = %{version}-%{release}
Obsoletes:     python3-suds < %{version}-%{release}

%description -n python3-suds2
"Suds" is a lightweight SOAP-based web service client
for Python licensed under LGPL.

%prep
%setup -c -q
mv jurko-suds-94664ddd46a6 python3
cd python3
%patch0 -p1
%patch1 -p1
cd -

%build
cd python3
%py3_build
cd -

%install
cd python3
%py3_install
cd -

%check
cd python3
%{__python3} setup.py test
cd -

%files -n python3-suds2
%doc python3/README.rst
%license python3/LICENSE.txt
%{python3_sitelib}/*

%changelog
* Wed Jul  8 2020 zhanghua <zhanghua40@huawei.com> - 0.7-4
- change Name to python-suds2 and remove Subpackage python2-suds

* Wed Jun 24 2020 wutao <wutao61@huawei.com> - 0.7-3
- Fix transport test error

* Sun Mar 22 2020 sunguoshuai <sunguoshuai@huawei.com> - 0.7-2
- Fix http test error.

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 0.7-1
- init package
